Memory balloning in Hyper-V generation 2 does not work

Bug #1294283 reported by Jan Henke on 2014-03-18
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Joseph Salisbury
Trusty
Medium
Joseph Salisbury
Vivid
Medium
Joseph Salisbury
Wily
Medium
Joseph Salisbury

Bug Description

The generation 2 VM has been assinged a memory range of 512 MiB-4096MiB with a starting memory of 512 MiB. It should get additional memory when needed, but the total available memory in the VM stays at the intial 512 MiB and the kernel starts swapping instead of allocating more memory from the host.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-18-generic 3.13.0-18.38
ProcVersionSignature: Ubuntu 3.13.0-18.38-generic 3.13.6
Uname: Linux 3.13.0-18-generic x86_64
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CurrentDesktop: XFCE
Date: Tue Mar 18 19:28:54 2014
HibernationDevice: RESUME=UUID=0d223c65-8c7e-41b4-95b3-05b22ff4679b
InstallationDate: Installed on 2014-03-12 (6 days ago)
InstallationMedia: Xubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140312)
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
Lspci:

Lsusb: Error: command ['lsusb'] failed with exit code 1: unable to initialize libusb: -99
MachineType: Microsoft Corporation Virtual Machine
ProcFB: 0 hyperv_fb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-18-generic.efi.signed root=UUID=61b52c1b-300d-4c30-8966-db1745f4a4bc ro video=hyperv_fb:1920x1080 quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-18-generic N/A
 linux-backports-modules-3.13.0-18-generic N/A
 linux-firmware 1.126
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/26/2012
dmi.bios.vendor: Microsoft Corporation
dmi.bios.version: Hyper-V UEFI Release v1.0
dmi.board.asset.tag: None
dmi.board.name: Virtual Machine
dmi.board.vendor: Microsoft Corporation
dmi.board.version: Hyper-V UEFI Release v1.0
dmi.chassis.asset.tag: 6485-6574-9248-6162-4701-6267-50
dmi.chassis.type: 3
dmi.chassis.vendor: Microsoft Corporation
dmi.chassis.version: Hyper-V UEFI Release v1.0
dmi.modalias: dmi:bvnMicrosoftCorporation:bvrHyper-VUEFIReleasev1.0:bd11/26/2012:svnMicrosoftCorporation:pnVirtualMachine:pvrHyper-VUEFIReleasev1.0:rvnMicrosoftCorporation:rnVirtualMachine:rvrHyper-VUEFIReleasev1.0:cvnMicrosoftCorporation:ct3:cvrHyper-VUEFIReleasev1.0:
dmi.product.name: Virtual Machine
dmi.product.version: Hyper-V UEFI Release v1.0
dmi.sys.vendor: Microsoft Corporation
---
ApportVersion: 2.14-0ubuntu1
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CurrentDesktop: XFCE
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=2673d21f-4b48-43f1-9b06-8c141a492700
InstallationDate: Installed on 2014-03-29 (9 days ago)
InstallationMedia: Xubuntu 14.04 LTS "Trusty Tahr" - Beta amd64 (20140326)
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
Lspci:

Lsusb: Error: command ['lsusb'] failed with exit code 1: unable to initialize libusb: -99
MachineType: Microsoft Corporation Virtual Machine
Package: linux (not installed)
ProcFB: 0 hyperv_fb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-22-generic.efi.signed root=UUID=cccf5e59-012e-4ab5-a6ba-08850e60aba1 ro video=hyperv_fb:1920x1080 quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-22.44-generic 3.13.8
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-22-generic N/A
 linux-backports-modules-3.13.0-22-generic N/A
 linux-firmware 1.127
RfKill:

Tags: trusty
Uname: Linux 3.13.0-22-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 11/26/2012
dmi.bios.vendor: Microsoft Corporation
dmi.bios.version: Hyper-V UEFI Release v1.0
dmi.board.asset.tag: None
dmi.board.name: Virtual Machine
dmi.board.vendor: Microsoft Corporation
dmi.board.version: Hyper-V UEFI Release v1.0
dmi.chassis.asset.tag: 6485-6574-9248-6162-4701-6267-50
dmi.chassis.type: 3
dmi.chassis.vendor: Microsoft Corporation
dmi.chassis.version: Hyper-V UEFI Release v1.0
dmi.modalias: dmi:bvnMicrosoftCorporation:bvrHyper-VUEFIReleasev1.0:bd11/26/2012:svnMicrosoftCorporation:pnVirtualMachine:pvrHyper-VUEFIReleasev1.0:rvnMicrosoftCorporation:rnVirtualMachine:rvrHyper-VUEFIReleasev1.0:cvnMicrosoftCorporation:ct3:cvrHyper-VUEFIReleasev1.0:
dmi.product.name: Virtual Machine
dmi.product.version: Hyper-V UEFI Release v1.0
dmi.sys.vendor: Microsoft Corporation
---
ApportVersion: 2.14.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CurrentDesktop: XFCE
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=2673d21f-4b48-43f1-9b06-8c141a492700
InstallationDate: Installed on 2014-03-29 (12 days ago)
InstallationMedia: Xubuntu 14.04 LTS "Trusty Tahr" - Beta amd64 (20140326)
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
Lspci:

Lsusb: Error: command ['lsusb'] failed with exit code 1: unable to initialize libusb: -99
MachineType: Microsoft Corporation Virtual Machine
Package: linux (not installed)
ProcFB: 0 hyperv_fb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-23-generic.efi.signed root=UUID=cccf5e59-012e-4ab5-a6ba-08850e60aba1 ro video=hyperv_fb:1920x1080 quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-23.45-generic 3.13.8
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-23-generic N/A
 linux-backports-modules-3.13.0-23-generic N/A
 linux-firmware 1.127
RfKill:

Tags: trusty
Uname: Linux 3.13.0-23-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 11/26/2012
dmi.bios.vendor: Microsoft Corporation
dmi.bios.version: Hyper-V UEFI Release v1.0
dmi.board.asset.tag: None
dmi.board.name: Virtual Machine
dmi.board.vendor: Microsoft Corporation
dmi.board.version: Hyper-V UEFI Release v1.0
dmi.chassis.asset.tag: 6485-6574-9248-6162-4701-6267-50
dmi.chassis.type: 3
dmi.chassis.vendor: Microsoft Corporation
dmi.chassis.version: Hyper-V UEFI Release v1.0
dmi.modalias: dmi:bvnMicrosoftCorporation:bvrHyper-VUEFIReleasev1.0:bd11/26/2012:svnMicrosoftCorporation:pnVirtualMachine:pvrHyper-VUEFIReleasev1.0:rvnMicrosoftCorporation:rnVirtualMachine:rvrHyper-VUEFIReleasev1.0:cvnMicrosoftCorporation:ct3:cvrHyper-VUEFIReleasev1.0:
dmi.product.name: Virtual Machine
dmi.product.version: Hyper-V UEFI Release v1.0
dmi.sys.vendor: Microsoft Corporation

CVE References

Jan Henke (jhe) wrote :

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1294283

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-hyper-v
Jan Henke (jhe) wrote : AlsaInfo.txt

apport information

tags: added: apport-collected
description: updated
Jan Henke (jhe) wrote : BootDmesg.txt

apport information

Jan Henke (jhe) wrote : CRDA.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Jan Henke (jhe) wrote : UdevDb.txt

apport information

Jan Henke (jhe) wrote : UdevLog.txt

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Jan Henke (jhe) wrote :

After some time the problem reappeared again today. Ballooning worked at first and the VM got more than the initial memory, but after some time this double kernel stack traces were back.

The time these end in the kernel log is just determined by the time I uploaded the kernel log, from my perspective it looks like these messages will continue to appear every 120 seconds.

Jan Henke (jhe) wrote : AlsaInfo.txt

apport information

description: updated

apport information

Jan Henke (jhe) wrote : CRDA.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Jan Henke (jhe) wrote : UdevDb.txt

apport information

Jan Henke (jhe) wrote : UdevLog.txt

apport information

apport information

Jan Henke (jhe) wrote :

The problem just reappeared after the latest kernel upgrade. Apport data is attached.

Andy Whitcroft (apw) wrote :

I believe this is another occurance of the issue in bug #1292400.

nmeier (nmeier) wrote :

Bug 1292400 references an email from KY which describes a patch to mm/memory_hotplug.c. KY confirmed the patch in the referenced email was not submitted, but equivalent patches have been submitted.

nmeier (nmeier) wrote :

As a way to validate if equivalent patches have been submitted, the Linux-Next kernel from April 15, 2015 was built and installed on a 14.10 Gen 2 VM. After rebooting into the Linux-Next kernel (version 4.0.0-next-20150415), ballooning worked.
Tested dynamic memory configuration:
    Minimum Memory: 1024MB
    Startup Memory : 2048MB
    Maximum Memory: 4096MB
    Memory buffer: 20%
    Memory Weight: 50

Two minutes after booting, memory was ballooned down from 2048MB to 1024MB
Ran stressapptest to generate 600MB of memory demand
Memory was ballooned up to 1762MB
After memory demand was removed, memory was ballooned down to 1024MB

Ballooning does work with the upstream kernel on a Ubuntu 14.10 Gen 2 VM.

Joshua R. Poulson (jrp) wrote :

This should be verified to work for 14.04.

nmeier (nmeier) wrote :

Ballooning works. Hot Add has issues.
The original issue as reported has been resolved.

Initially, memory is successfully hot added to the VM. As demand continues to increase,

no additional memory is hot added. Eventually a hung task message is logged in syslog.

The call trace shows hot_add_req() on the call stack. At this point, attempting to

shutdown the system with "init 0" results in the system hung during the shutdown. The

console is showing messages of:
    INFO: task kworker/0:1:1250 blocked for more than 120 seconds.
          Not tainted 3.16.0-30-generic #40~14.04.1-Ubuntu
    INFO: task systemd-udev:1317 blocked for more than 120 seconds.
          Not tainted 3.16.0-30-generic #40~14.04.1-Ubuntu
See attached file for call traces in syslog.

Test environment
    Host: Windows Server 2012 R2
    VM: Ubuntu 14.04, upgraded to current packages (apt-get upgrade)
    VM Dynammic memory configuration
        Minimum Memory : 512MB
        Startup Memory : 512MB
        Maximum Memory : 4096
    Test is to run 8 instances of stressapptest where each instance consumes
    128MB for 90 seconds. There is a 5 second delay between starting each
    instance of stressapptest.

Joshua R. Poulson (jrp) wrote :

Upstream original commit id: 4e4bd36f97b1492f19b3329ac74ed313da13de34

Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Confirmed → In Progress
Changed in linux (Ubuntu Trusty):
status: New → In Progress
Changed in linux (Ubuntu Utopic):
status: New → In Progress
Changed in linux (Ubuntu Vivid):
status: New → In Progress
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux (Ubuntu Vivid):
importance: Undecided → Medium
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Utopic):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Trusty):
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

I built a Wily test kernel with a cherry-pick of commit 4e4bd36f97b1492f19b3329ac74ed313da13de34

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1294283/

Can you test this kernel and see if it resolves this bug?

Thanks in advance!

Joshua R. Poulson (jrp) wrote :

I was able to use this test kernel and run our memory stress test application on it. I was able to balloon it up from its startup memory to 3.5GB. Looks like the test kernel works okay. No errors on our stress tests, no unexpected messages in the syslog.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing. I sent an request for inclusion of this commit in Wily.

I built a Vivid test kernel with a cherry-pick of commit 4e4bd36f97b1492f19b3329ac74ed313da13de34

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1294283/vivid

Can you test this kernel and see if it resolves this bug?

Thanks in advance!

nmeier (nmeier) wrote :

Hot Add issues remain.

Memory is Hot Added as demand increases.
Memory is not ballooned down after demand is reduced.
syslog has numerous call traces for hung task.
Call stack shows calls to mem_hotplug_begin()
Tail end of syslog attached as syslog.log.

Test procedure:
  - Create 15.04 VM.
  - Install test kernel.
  - Configure dynamic memory
      - Startup memory : 1536 MB
      - Minimum memory : 1024 MB
      - Maximum memory : 8192 MB
  - Reboot
  - Start 7 separate instances of stressapptest.
      - Each instance consumes 128 MB and runs for 90 seconds.
      - Allow 5 seconds before starting a new instance.
  - Wait for Hyper-V host to balloon down assigned memory.
  - Repeat test.

Test results:

VM State Assigned Mem Memory Demand
======== ============ =============
Idle 1024 MB 399 MB
stress x7 1778 MB 1778 MB
no stress 1778 MB 462 MB
10 min later 1778 MB 462 MB
20 min later 1778 MB 462

Joseph Salisbury (jsalisbury) wrote :

So the ballooning up of memory is now working, but it is not ballooning back down? Is this also the case with the Wily test kernel I posted in comment #36 or is that test kernel find and this is only happening with my Vivid test kernel?

Joshua R. Poulson (jrp) wrote :

Let's keep the terms clear here:

"hot add" raises the high water mark of available memory and will increase the total memory seen by the Linux VM. Because there's no "hot remove" (yet) free -m will increase with "hot add" but never decrease.

"balloon" will take memory and allocate it to buffers controlled by the hyper-v driver, which will then release that memory back to the host. This is "ballooning down". If the hyper-v driver cannot grab memory and put it aside, for whatever reason, it can not release it to the host.

The balloon code can also ask the host for memory and release it back to the OS if demand increases again.

From the host side, we are observing the numbers Nick is reporting. From the VM side, you won't be able to see it go down. The assigned memory should decrease, and what we usually see is that it gradually goes down to the minimum level.

nmeier (nmeier) wrote :

Hi Joseph,

In Linux-next, we have seen an issue caused by memory not being onlined after hot adding. This bug caused our guest to falsely report memory to host as being assigned; even though it was actually inaccessible. We wonder if this is what you’re seeing as well.

There were two relevant patches to fix hot-add:
- https://lkml.org/lkml/diff/2015/7/17/374/1 <= this patch fixes BUG_ON crash when hot-adding memory
- https://lkml.org/lkml/diff/2015/8/3/104/1 <= this patch fixes the onlining issue described above

Joseph Salisbury (jsalisbury) wrote :

I have not reproduced this bug as I don't have and environment to do so. Maybe Jan Henke, the original bug reporter, can confirm your question in comment #42?

The Wily and Vivid test kernels I built only have the following commit cherry-picked per comment #34:

commit 4e4bd36f97b1492f19b3329ac74ed313da13de34
Author: Vitaly Kuznetsov <email address hidden>
Date: Fri May 29 11:18:02 2015 -0700

Looking at the patches you mentioned in comment #42, are the following two commits in mainline also needed to fix this bug?

commit 7ace99170789bc53cbb7e9e352d7a3851208fbcf
Author: Mel Gorman <email address hidden>
Date: Thu Aug 6 15:46:13 2015 -0700

    mm, meminit: allow early_pfn_to_nid to be used during runtime

commit e298ff75f133f2524bb6a9a305b17c5f6ff1a6b2
Author: Mel Gorman <email address hidden>
Date: Thu Aug 6 15:46:51 2015 -0700

    mm: initialize hotplugged pages as reserved

These last two commits were in mainline as of v4.2-rc6.

Jan Henke (jhe) wrote :

Sorry, I cannot comment on that matter. I do not have the setup to test it any more.

Joshua R. Poulson (jrp) wrote :

Do you need our assistance in setting up tests of this particular function on Hyper-V?

Jan Henke (jhe) wrote :

@Joshua do you mean me?

Joshua R. Poulson (jrp) wrote :

We're happy to help with the setup of a test case, and we can test things on our systems as well.

Jan Henke (jhe) wrote :

That still does not answer if you are asking me to test anything. I probably do not have anything to add here, especially since I upgraded the host system to Windows 10 in the mean time, any result would be therefore not exactly comparable.

Joseph Salisbury (jsalisbury) wrote :

Hi Joshua,

I found an evaluation copy of Hyper-V Server[0]. Do you happen to know if the evaluation copy will limit what type of tests can be performed?

Joseph Salisbury (jsalisbury) wrote :

I just wanted to check what patches we think are needed to resolve this bug? I build a test kernel with a cherry pick of only commit 4e4bd36f. However, it looks like there may be a total of three patches required:

commit 4e4bd36f
commit 7ace9917
commit e298ff75

Joshua or nmeier can you confirm this? If so, I'll build test kernels with all three of these commits for all Ubuntu releases.

Joseph Salisbury (jsalisbury) wrote :

Wily has the following five commits now:

ba0c4441
797f88c9
4e4bd36f
7ace9917
e298ff75

Can Wily with the latest updates be tested to confirm it no longer exhibits this bug?

Changed in linux (Ubuntu Wily):
status: In Progress → Fix Released
Joseph Salisbury (jsalisbury) wrote :

I built a Vivid test kernel with the five commits I also mentioned in comment #52. There were also some prerequisite commits required to get the patches to apply to a 3.19 kernel. The following commits were applied:

commit 530d15b
commit 0a1a86a
commit ba0c444
commit 797f88c
commit 4e4bd36
commit 8a942fd
commit 75a592a
commit 7ace991
commit e298ff7

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1294283/vivid/

Can this kernel be tested to see if it resolves this bug?

Changed in linux (Ubuntu Utopic):
status: In Progress → Invalid
Paula Crismaru (pcrismaru) wrote :

I tested kernel from #53 on Vivid and everything was ok. You can commit the changes on Vivid.

no longer affects: linux (Ubuntu Utopic)
Brad Figg (brad-figg) on 2015-11-25
Changed in linux (Ubuntu Vivid):
status: In Progress → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-vivid
Joshua R. Poulson (jrp) wrote :

We'll test the kernel in -proposed right away. Thanks!

Joseph Salisbury (jsalisbury) wrote :

I built a trusty test kernel, which can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1294283/trusty/

Can you test this kernel and see if it resolves this bug? If it does, I'll submit the Trusty SRU request.

Thanks!

Zsolt Dudás (v-zsduda) on 2015-12-10
tags: added: verification-done-vivid
removed: verification-needed-vivid
Paula Crismaru (pcrismaru) wrote :

I tested kernel in -proposed on Vivid, memory ballooning works.

Zsolt Dudás (v-zsduda) wrote :

We tested the above test kernel on Trusty, works good, no errors found. You can submit the request.

Thanks!

Brad Figg (brad-figg) on 2015-12-16
Changed in linux (Ubuntu Trusty):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (14.4 KiB)

This bug was fixed in the package linux - 3.19.0-41.46

---------------
linux (3.19.0-41.46) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1522918

  [ Upstream Kernel Changes ]

  * Revert "dm: fix AB-BA deadlock in __dm_destroy()"
    - LP: #1522766
  * dm: fix AB-BA deadlock in __dm_destroy()
    - LP: #1522766

linux (3.19.0-40.45) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1522786

  [ Andy Whitcroft ]

  * [Packaging] control -- prepare for new kernel-wedge semantics
    - LP: #1516686
  * [Debian] rebuild should only trigger for non-linux packages
    - LP: #1498862, #1516686
  * [Tests] gcc-multilib does not exist on ppc64el
    - LP: #1515541

  [ Joseph Salisbury ]

  * SAUCE: scsi_sysfs: protect against double execution of
    __scsi_remove_device()
    - LP: #1509029

  [ Luis Henriques ]

  * [Config] updateconfigs after 3.19.8-ckt10 stable update

  [ Upstream Kernel Changes ]

  * Revert "ARM64: unwind: Fix PC calculation"
    - LP: #1520309
  * Revert "md: allow a partially recovered device to be hot-added to an
    array."
    - LP: #1520309
  * tty: fix stall caused by missing memory barrier in drivers/tty/n_tty.c
    - LP: #1512815
  * HID: rmi: Print the firmware id of the touchpad
    - LP: #1515503
  * HID: rmi: Add functions for writing to registers
    - LP: #1515503
  * HID: rmi: Disable scanning if the device is not a wake source
    - LP: #1515503
  * HID: rmi: Set F01 interrupt enable register when not set
    - LP: #1515503
  * be2net: log link status
    - LP: #1513980
  * xhci: Workaround to get Intel xHCI reset working more reliably
  * Drivers: hv: hv_balloon: refuse to balloon below the floor
    - LP: #1294283
  * Drivers: hv: hv_balloon: survive ballooning request with num_pages=0
    - LP: #1294283
  * Drivers: hv: hv_balloon: correctly handle val.freeram<num_pages case
    - LP: #1294283
  * Drivers: hv: hv_balloon: correctly handle num_pages>INT_MAX case
    - LP: #1294283
  * Drivers: hv: balloon: check if ha_region_mutex was acquired in
    MEM_CANCEL_ONLINE case
    - LP: #1294283
  * mm: meminit: make __early_pfn_to_nid SMP-safe and introduce
    meminit_pfn_in_nid
    - LP: #1294283
  * mm: meminit: inline some helper functions
    - LP: #1294283
  * mm, meminit: allow early_pfn_to_nid to be used during runtime
    - LP: #1294283
  * mm: initialize hotplugged pages as reserved
    - LP: #1294283
  * gut proc_register() a bit
    - LP: #1519106
  * arm: factor out mmap ASLR into mmap_rnd
    - LP: #1518483
  * x86: standardize mmap_rnd() usage
    - LP: #1518483
  * arm64: standardize mmap_rnd() usage
    - LP: #1518483
  * mips: extract logic for mmap_rnd()
    - LP: #1518483
  * powerpc: standardize mmap_rnd() usage
    - LP: #1518483
  * s390: standardize mmap_rnd() usage
    - LP: #1518483
  * mm: expose arch_mmap_rnd when available
    - LP: #1518483
  * s390: redefine randomize_et_dyn for ELF_ET_DYN_BASE
    - LP: #1518483
  * mm: split ET_DYN ASLR from mmap ASLR
    - LP: #1518483
  * mm: fold arch_randomize_brk into ARCH_HAS_ELF_RANDOMIZE
    - LP: #1518483
  * isdn_ppp: Add checks for allocation failure in isdn_ppp_open()
   ...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
Zsolt Dudás (v-zsduda) wrote :

Tested it with the Trusty proposed kernel 3.13.0-75-generic, ballooning works as expected, no issues detected.

tags: added: verification-done-trusty
removed: verification-needed-trusty
Andy Whitcroft (apw) wrote :

Fix released in 3.13.0-77.121

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Po-Hsu Lin (cypressyew) on 2019-10-03
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.